#! /usr/bin/perl
#Project: R4 control
#Homepage: www.HomoFaciens.de
#Author Norbert Heinz
#Version: 1.0
#Creation date: 19.01.2016
#Copyright: (c) 2016 by Norbert Heinz
#This program is free software you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation version 3 of the License.
#This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#You should have received a copy of the GNU General Public License along with this program if not, see http://www.gnu.org/licenses/.
#
#Server script displays the status of the rover. Script is called by Javascript from control panel of the webpage

use strict;
use CGI qw(:standard);
use CGI::Carp qw(fatalsToBrowser);

my $CTIME_String = localtime(time);

my $user_name = param("UserName");

my $time_in_seconds = 123;
my $user_ID_file="";
my $R4ip = "";

$user_ID_file = "UserDir/" . $user_name . ".usr";

print "Content-type: text/html\n\n";
print "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3.org/TR/html4/loose.dtd\">\n";
print "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\"><html><head><title>Live pictures</title></head><body>" . "\n";




  if(-e $user_ID_file){#
    print '<img src="http://xxx.xxx.xxx.xxx:8090/webcam.mjpeg' . '" name="PicSequenz" width="320" height="240"><br>' . "\n";
  }
  else{
    print '<img src="http://www.RoboSpatium.de/R4/lastsnapshot.jpg?' . $time_in_seconds . '" name="PicSequenz" width="320" height="240"><br>' . "\n";
  }

  print "</body></html>";


exit (0);

